Subject: bug#33913: 26.1; Optionally not font-lock newline char when `comment-end' = ""

From: Drew Adams <[email-masked]>
Date: Sun, 30 Dec 2018 09:21:56 -0800 (PST)

> Apologies, I was wrong, here.  When the terminator is \n, comment-end is
> "", not "\n", and things get confused.  comment-end is NOT and NEVER WAS
> the comment terminator.  It's merely what gets inserted when you type
> M-;.  I don't think there is a variable which holds the comment
> terminator; there is merely an entry in the mode's syntax table.
> 
> The rest of my post was largely speculation, and was also wrong.  Please
> ignore it.

Hi Alan.  No problem, and thanks for having looked into this.